<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Visi, Misi, Rencana Strategis, Action Plans</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-2 my-md-2 bd-layout">
    <div th:include="sidebar/sidebar_register::sidebar_register" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
                    <span>Visi, Misi, Rencana Strategis, Action Plans</span>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <form method="post" th:action="@{/form/presentasi/save}" th:object="${presentasi}">
                    <div th:if="${submit != null}"><span class="alert alert-warning p-2" th:text="${submit}"></span></div>
                    <br>
                    <div class="card bg-body bg-opacity-50 shadow-sm">
                        <div class="card-header text-white" style="background-color:#15408d;">
                            <b>Visi</b>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
<!--                                <textarea name="visi" id="visi" cols="30" rows="10" class="form-control" th:field="*{visi}"></textarea>-->
                                <textarea id="visi" name="visi" cols="30" rows="10" th:field="*{visi}"></textarea>

<!--                                <textarea class="textarea" id="textarea" placeholder="Enter text ..." style="width: 810px; height: 200px"></textarea>-->
                            </div>
                        </div>
                    </div>
                    <br>
                    <div class="card bg-body bg-opacity-50 shadow-sm">
                        <div class="card-header text-white" style="background-color:#15408d;">
                            <b>Misi</b>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <textarea name="misi" id="misi" cols="30" rows="10" th:field="*{misi}"></textarea>
                            </div>
                        </div>
                    </div>
                    <br>
                    <div class="card bg-body bg-opacity-50 shadow-sm">
                        <div class="card-header text-white" style="background-color:#15408d;">
                            <b>Rencana Strategis</b>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <textarea name="rencanaStrategis" id="rensra" cols="30" rows="10" class="form-control" th:field="*{rencanaStrategis}"></textarea>
                            </div>
                        </div>
                    </div>
                    <br>
                    <div class="card bg-body bg-opacity-50 shadow-sm">
                        <div class="card-header text-white" style="background-color:#15408d;">
                            <b>Action Plans </b> <span style="color: white;">*</span>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <textarea name="actionPlan" id="actionss" cols="30" rows="10" class="form-control" th:field="*{actionPlan}"></textarea>
                            </div>
                        </div>
                    </div>
                    <br>
                    <div class="card bg-body bg-opacity-50 shadow-sm">
                        <div class="card-header text-white" style="background-color:#15408d;">
                            <b>Link Presntasi</b>
                        </div>
                        <div class="card-body">
                            <p>Visi, Misi, Rencana & Action Plan di tuangkan dalam bentuk video berdurasi 3 s/d 5 menit yang di upload dalam bentuk Google Drive atau Youtube</p>
                            <p>Tuliskan link nya disini: </p>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <input type="text" name="linkVideo" id="linkVideo" class="form-control" th:field="*{linkVideo}">
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="id" th:field="*{id}">
                    <input type="hidden" name="pendaftar" th:value="${idPendaftar}">
                    <br>
                    <div class="row">
                        <div class="col-md-6">
                            <div th:if="${submit == null}" class="form-group">
                                <button th:if="${submit == null}" class="btn btn-primary">Simpan</button>
                            </div>
                        </div>
                        <div class="col-md-6" style="text-align: right;">
                            <a th:href="@{/form/suratKesediaan}" class="btn btn-success rounded-pill">Selanjutnya</a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </main>
</main>
<main layout:fragment="footer" class="script">
    <script src="https://cdn.ckeditor.com/ckeditor5/35.2.1/classic/ckeditor.js"></script>

<!--    <script>-->
<!--        $(function () {-->
<!--            CKEDITOR.replace('visi')-->
<!--            CKEDITOR.replace('misi')-->
<!--        })-->
<!--    </script>-->

    <script>
        ClassicEditor
            .create( document.querySelector( '#visi' ) )
            .catch( error => {
                console.error( error );
            } );

        ClassicEditor
            .create( document.querySelector( '#misi' ) )
            .catch( error => {
                console.error( error );
            } );

        ClassicEditor
            .create( document.querySelector( '#rensra' ) )
            .catch( error => {
                console.error( error );
            } );

        ClassicEditor
            .create( document.querySelector( '#actionss' ) )
            .catch( error => {
                console.error( error );
            } );
    </script>

</main>
</body>
</html>